Subject: bug#41577: closed (Re: bug#41577: automatic alignment)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 28 May 2020 23:58:02 +0000

Your bug report

#41577: automatic alignment

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41577: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41577
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41577: automatic alignment
From: "Brian C. Lane" <[email-masked]>
To: Harald Dunkel <[email-masked]>
Cc: [email-masked]
Date: Thu, 28 May 2020 16:57:32 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, May 28, 2020 at 03:00:43PM +0200, Harald Dunkel wrote:
> Hi folks,
> 
> Finding a good alignment appears to be a pretty complex task, esp.
> for some RAID devices, so I wonder if this could be better supported
> in parted? The current
> 
> [bzzzzzzzz] The resulting partition is not properly aligned for best performance.
> 
> for all 2**n is *more* than annoying. For my lsi RAID I had to use
> 
> Number  Start  End           Size          File system  Name    Flags
>  1      1536s  46880782847s  46880781312s               export
> 
> following the guidelines on [1].
> 
> Obviously the align-check option has some deeper knowledge about
> a good alignment, but it doesn't tell. :-(

Yeah, it's complicated :) But if you use the latest parted it will tell
you more if you try to create a mis-aligned partition:

Start? 8s
End? 100%
Warning: You requested a partition from 4096B to 1074MB (sectors 8..2097151).
The closest location we can manage is 17.4kB to 1074MB (sectors 34..2097118).
Is this still acceptable to you?
Yes/No? y
Warning: The resulting partition is not properly aligned for best performance: 34s % 2048s != 0s
Ignore/Cancel?

This means that it needs to be multiples of 2048 sectors to be aligned
(this example is just an example with a disk image).

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart

Subject: automatic alignment
From: Harald Dunkel <[email-masked]>
To: [email-masked]
Date: Thu, 28 May 2020 15:00:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi folks,

Finding a good alignment appears to be a pretty complex task, esp.
for some RAID devices, so I wonder if this could be better supported
in parted? The current

[bzzzzzzzz] The resulting partition is not properly aligned for best performance.

for all 2**n is *more* than annoying. For my lsi RAID I had to use

Number  Start  End           Size          File system  Name    Flags
  1      1536s  46880782847s  46880781312s               export

following the guidelines on [1].

Obviously the align-check option has some deeper knowledge about
a good alignment, but it doesn't tell. :-(

Regards
Harri
[1] https://bdoga.com/how-to-fix-warning-device-is-not-properly-aligned-with-parted/